org.apache.tapestry5.internal.services

## Class InternalComponentInvalidationEventHubImpl

- java.lang.Object
- - org.apache.tapestry5.internal.event.InvalidationEventHubImpl
  - - org.apache.tapestry5.internal.services.InternalComponentInvalidationEventHubImpl

- All Implemented Interfaces:
    InternalComponentInvalidationEventHub, InvalidationEventHub

      public class InternalComponentInvalidationEventHubImpl
      extends InvalidationEventHubImpl
      implements InternalComponentInvalidationEventHub

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InternalComponentInvalidationEventHubImpl(boolean productionMode)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `classInControlledPackageHasChanged()` Invoked when the `ComponentInstantiatorSource` notices that a class file within any of the controlled packages has changed.
    `void` | `setupReload(ReloadHelper helper)`

    - ### Methods inherited from class org.apache.tapestry5.internal.event.InvalidationEventHubImpl

      `addInvalidationCallback, addInvalidationListener, clearOnInvalidation, fireInvalidationEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tapestry5.services.InvalidationEventHub

      `addInvalidationCallback, addInvalidationListener, clearOnInvalidation`

- - ### Constructor Detail

    - #### InternalComponentInvalidationEventHubImpl

          public InternalComponentInvalidationEventHubImpl(@Symbol(value="tapestry.production-mode")
                                                           boolean productionMode)

  - ### Method Detail

    - #### setupReload

          @PostInjection
          public void setupReload(ReloadHelper helper)

    - #### classInControlledPackageHasChanged

          public void classInControlledPackageHasChanged()

      Description copied from interface: `InternalComponentInvalidationEventHub`
      Invoked when the `ComponentInstantiatorSource` notices that a class file within any of the controlled packages has changed. Fires the `InvalidationListener.objectWasInvalidated()` notification.
      Specified by:
        `classInControlledPackageHasChanged` in interface `InternalComponentInvalidationEventHub`

5.6.4 - Copyright © 2003-2021 The Apache Software Foundation.